Name:		ffmpeg
Version:	2.5.1
Release:	9%{?dist}
Summary:	FFmpeg is a complete, cross-platform solution to record, convert and stream audio and video.

Group:		System Environment/Libraries
License:	Mixed
URL:		http://ffmpeg.org/
Source0:	http://ffmpeg.org/releases/%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}.tar.bz2.asc

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Conflicts:  ffmpeg0
Conflicts:  ffmpeg1
Conflicts:  ffmpeg2

BuildRequires:	bzip2-devel yasm
BuildRequires:	libass-devel openjpeg-devel
BuildRequires:	libdc1394-devel
BuildRequires:	gsm-devel opencv-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libX11-devel libXext-devel libXfixes-devel
BuildRequires:	fontconfig-devel
BuildRequires:	pkgconfig openssl-devel
BuildRequires:	SDL-devel texi2html texinfo
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildRequires:  libcdio-paranoia-devel
%else
BuildRequires:  libcdio-devel
%endif

%if 0%{?fedora} >= 19
BuildRequires:	perl-podlators
BuildRequires:  opencl-headers ocl-icd-devel
%endif

%if 0%{?fedora}
BuildRequires:  libmodplug-devel
BuildRequires:	frei0r-devel
%endif
%if 0%{?rhel} > 5 || 0%{?fedora}
BuildRequires:	celt-devel >= 0.11.0
BuildRequires:	libvpx-devel >= 0.9.7
BuildRequires:	speex-devel
BuildRequires:	gnutls-devel >= 2
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	libtheora-devel
BuildRequires:	libbluray-devel
BuildRequires:	schroedinger-devel
BuildRequires:	openal-soft-devel
BuildRequires:	libv4l-devel
%endif
BuildRequires:	opus-devel

## new package since rel 2
BuildRequires:  ladspa-devel libcaca-devel
BuildRequires:  libiec61883-devel
%if 0%{?fedora}
BuildRequires:  ilbc-devel
%endif
BuildRequires:  libssh-devel wavpack-devel zvbi-devel

BuildRequires:  libavc1394-devel libvdpau-devel

%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:  game-music-emu-devel
%endif
%if 0%{?fedora} <= 19 && 0%{?rhel} == 0
BuildRequires:  libquvi-devel soxr-devel
%endif

## new package since ffmpeg version 2.2
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  libwebp-devel
BuildRequires:  ghc-OpenGL-devel
%endif

%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:  czmq-devel
%endif

# Original rpm packages
BuildRequires:	libaacplus-devel
BuildRequires:	faac-devel
BuildRequires:	lame-devel
BuildRequires:	libnut-devel
BuildRequires:	libopencore-amr-devel
BuildRequires:	librtmp-devel
BuildRequires:	libvo-aacenc
BuildRequires:	libvo-amrwbenc
BuildRequires:	libx264-devel
BuildRequires:	libxvidcore-devel
BuildRequires:	libopencore-amr-devel libopencore-amr
BuildRequires:	twolame-devel

## new original package since rel 2
BuildRequires:  vidstab-devel >= 0.98
BuildRequires:  fdk-aac
%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:  shine-devel
%endif

## new original package ffmpeg version 2.2
%if 0%{?fedora} || 0%{?epel} >= 7
BuildRequires:  libx265-devel
%endif
BuildRequires:  decklink

# for 2.3
%if 0%{?fedora} || 0%{?epel} >= 7
BuildRequires:  libbs2b-devel
%endif
BuildRequires:  libsmbclient-devel

%description
FFmpeg is a complete, cross-platform solution to record, convert and stream audio and video.

%package devel
Summary:	Libraries for FFmpeg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries for FFmpeg

%package static
Summary:	Static libraries for FFmpeg
Group:		Development/Libraries

%description static
Static libraries for FFmpeg

%prep
%setup -q

%build
LDFLAGS="-lssl -lcrypto"
%ifarch x86_64
CFLAGS="-fPIC -m64"
%else
CFLAGS="-fPIC"
%endif
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir}/ffmpeg \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--mandir=%{_mandir} \
	--extra-cflags="-fPIC -I%{_includedir}/samba-4.0" \
	--extra-ldflags="-lstdc++ -lsmbclient" \
	--enable-shared \
	--enable-gpl \
	--enable-version3 \
	--enable-nonfree \
	--enable-avresample \
	--enable-bzlib \
	--enable-fontconfig \
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-libdc1394 \
	--enable-libfaac \
	--enable-libgsm \
	--enable-libmp3lame \
	--enable-libnut \
	--enable-libopenjpeg \
	--enable-librtmp \
	--enable-libvorbis \
	--enable-libx264 \
	--enable-libxvid \
	--enable-memalign-hack \
	--extra-ldflags=-fPIC \
	--extra-cflags=-fPIC \
	--enable-pthreads \
	--enable-postproc \
	--enable-avfilter \
	--enable-x11grab \
%if 0%{?fedora}
	--enable-libxcb \
	--enable-libxcb-shm \
	--enable-libxcb-xfixes \
	--enable-libxcb-shape \
%endif
	--enable-libaacplus \
	--enable-libopencv \
	--enable-libcdio \
	--enable-libfreetype \
	--enable-libvo-aacenc \
	--enable-libvo-amrwbenc \
	--enable-libfdk-aac \
%if 0%{?fedora}
	--enable-frei0r \
	--enable-libcelt \
	--enable-libvpx \
%endif
%if 0%{?fedora} >= 19
	--enable-opencl \
%endif
%if 0%{?fedora} <= 19 && 0%{?rhel} == 0
	--enable-libsoxr \
	--enable-libquvi \
%endif
%if 0%{?rhel} > 5 || 0%{?fedora}
	--enable-libfribidi \
	--enable-libtheora \
	--enable-libass \
	--enable-libbluray \
	--enable-libv4l2 \
	--enable-openal \
	--enable-libschroedinger \
	--enable-libpulse \
	--enable-gnutls \
	--enable-openssl \
	--enable-libspeex \
	--enable-libgme \
	--enable-libzmq \
	--enable-libshine \
	--enable-libsmbclient \
%endif
%if 0%{?rhel} == 5
	--disable-yasm \
%endif
	--enable-libgsm \
	--enable-libtwolame \
	--enable-libopus \
	--enable-ladspa \
	--enable-libcaca \
	--enable-libiec61883 \
%if 0%{?fedora}
	--enable-libmodplug \
	--enable-libilbc \
%endif
	--enable-libssh \
	--enable-libvidstab \
	--enable-libwavpack \
	--enable-libzvbi \
	--enable-pic \
	--enable-thumb \
%if 0%{?fedora} || 0%{?epel} >= 7
	--enable-libbs2b \
	--enable-libwebp \
	--enable-libx265 \
	--enable-opengl \
%endif
	--enable-decklink

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} V=1
install -D -m0644 doc/ffserver.conf %{buildroot}%{_sysconfdir}/ffserver.conf

rm -rf $RPM_BUILD_ROOT%{_docdir}/ffmpeg

%files
%doc CREDITS* Changelog* INSTALL* MAINTAINERS* README* RELEASE* VERSION*
%{!?_licensedir:%global license %%doc}
%license COPYING* LICENSE*
%{_bindir}/ffmpeg
%{_bindir}/ffprobe
%{_bindir}/ffserver
%{_bindir}/ffplay
%{_mandir}/man1/ffmpeg.1*
%{_mandir}/man1/ffprobe.1*
%{_mandir}/man1/ffserver.1*
%{_mandir}/man1/ffplay.1*
%{_mandir}/man1/ffmpeg-*.1*
%{_mandir}/man1/ffplay-all.1*
%{_mandir}/man1/ffprobe-all.1*
%{_mandir}/man1/ffserver-all.1*
%{_libdir}/*.so.*
%{_datadir}/ffmpeg/*.ffpreset
%{_datadir}/ffmpeg/ffprobe.xsd
%config(noreplace) %{_sysconfdir}/ffserver.conf

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libavcodec/*.h
%{_includedir}/libavdevice/*.h
%{_includedir}/libavfilter/*.h
%{_includedir}/libavformat/*.h
%{_includedir}/libavresample/*.h
%{_includedir}/libavutil/*.h
%{_includedir}/libpostproc/*.h
%{_includedir}/libswresample/*.h
%{_includedir}/libswscale/*.h
%{_mandir}/man3/lib*.3*
%{_datadir}/ffmpeg/examples/*

%files static
%{_libdir}/*.a

%changelog
* Tue Dec 16 2014 momo-i <webmaster@momo-i.org> - 2.5.1-9
- Update to 2.5.1

* Thu Dec  4 2014 momo-i <webmaster@momo-i.org> - 2.5-9
- Update to 2.5
- set flags for libsmbclient

* Mon Dec  1 2014 momo-i <webmaster@momo-i.org> - 2.4.4-9
- Update to 2.4.4

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 2.4.3-9
- Rebuilt for x264 and x265
- change license dir

* Wed Nov 12 2014 momo-i <webmaster@momo-i.org> - 2.4.3-8
- Rebuilt for el7

* Wed Nov  5 2014 momo-i <webmaster@momo-i.org> - 2.4.3-7
- Update to 2.4.3

* Tue Oct  7 2014 momo-i <webmaster@momo-i.org> - 2.4.2-7
- Update to 2.4.2

* Mon Sep 22 2014 momo-i <webmaster@momo-i.org> - 2.4.1-7
- Update to 2.4.1

* Wed Sep 17 2014 momo-i <webmaster@momo-i.org> - 2.4-7
- Update to 2.4

* Thu Aug 21 2014 momo-i <webmaster@momo-i.org> - 2.3.3-7
- Update to 2.3.3

* Thu Jul 17 2014 momo-i <webmaster@momo-i.org> - 2.3-7
- Update to 2.3

* Mon Jun 30 2014 momo-i <webmaster@momo-i.org> - 2.2.4-7
- Update to 2.2.4

* Wed Jun 18 2014 momo-i <webmaster@momo-i.org> - 2.2.3-7
- Update libx265

* Tue Jun  3 2014 momo-i <webmaster@momo-i.org> - 2.2.3-6
- Update to 2.2.3

* Wed May  7 2014 momo-i <webmaster@momo-i.org> - 2.2.2-6
- Update to 2.2.2

* Mon Apr 14 2014 momo-i <webmaster@momo-i.org> - 2.2.1-6
- Update to 2.2.1

* Mon Mar 24 2014 momo-i <webmaster@momo-i.org> - 2.2-6
- Update to 2.2
- Add libwebp libx265 decklink opengl

* Mon Feb 24 2014 momo-i <webmaster@momo-i.org> - 2.1.4-6
- Conflicts with ffmpeg version 0.x.x and 1.x.x

* Mon Feb 24 2014 momo-i <webmaster@momo-i.org> - 2.1.4-5
- Update to 2.1.4

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 2.1.3-5
- Update for x264

* Fri Jan 17 2014 momo-i <webmaster@momo-i.org> - 2.1.3-4
- Update to 2.1.3

* Tue Jan 14 2014 momo-i <webmaster@momo-i.org> - 2.1.2-4
- Update to 2.1.2
- Drop xavs support.

* Tue Dec 10 2013 momo-i <webmaster@momo-i.org> - 2.1.1-4
- Add OpenCL >= fedora19
- Add vdpau

* Tue Dec 10 2013 momo-i <webmaster@momo-i.org> - 2.1.1-3
- Fixed compile option to use fdk-aac

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 2.1.1-2
- Add new related packages based on fedora19
fdk-aac shine-devel vidstab-devel
ladspa-devel libcaca-devel
libiec61883-devel game-music-emu-devel
ilbc-devel libquvi-devel soxr-devel
libssh-devel wavpack-devel zvbi-devel
libssh-devel wavpack-devel zvbi-devel

* Fri Nov 29 2013 momo-i <webmaster@momo-i.rog> - 2.1.1-1
- Update to 2.1.1

* Wed Nov 13 2013 momo-i <webmaster@momo-i.org> - 2.1-1
- Update to 2.1

* Thu Oct 17 2013 momo-i <webmaster@momo-i.org> - 2.0.2-1
- Update to 2.0.2

* Thu Aug 22 2013 momo-i <webmaster@momo-i.org> - 2.0.1-1
- Update to 2.0.1

* Wed Jul 17 2013 momo-i <webmaster@momo-i.org> 2.0-1
- Upgrade to 2.0.

* Mon Jul  8 2013 momo-i <webmaster@momo-i.org> 1.2.1-2
- Add some build require packages.

* Tue May 14 2013 momo-i <webmaster@momo-i.org> 1.2.1-1
- Update 1.2.1

* Tue Apr  9 2013 momo-i <webmaster@momo-i.org> 1.2-3
- Added static package.

* Wed Mar 27 2013 momo-i <webmaster@momo-i.org> 1.2-2
- forgot group name for devel package.

* Wed Mar 27 2013 momo-i <webmaster@momo-i.org> 1.2-1
- Initial rpm release.
